using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;

public partial class Admin_YongHu_DenJiChenHu_ZengJia : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("增加等级称呼", "网站后台", "增加等级称呼", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }
    private void ZhiXing()
    {
        访问.验证管理员();
        访问.验证权限("26");
        int 等级 = Convert.ToInt32(Request.Form["DenJi"]);
        String 称呼 = Request.Form["ChenHu"];

        if (称呼 == "")
            throw new Exception("称呼不能为空");
        if (称呼.Length > 50)
            throw new Exception("称呼的长度不能大于50");

        增加_更新等级称呼(等级, 称呼);

        访问统计_管理记录 管理记录 = new 访问统计_管理记录(this.Context, 访问.连接);
        管理记录.记录("增加/更新" + 等级 + "级等级称呼", 访问.用户["昵称"].ToString());

        更新缓存数据 更新数据 = new 更新缓存数据(this.Context, 访问.连接);
        更新数据.用户数据_更新等级称呼();

        Response.Redirect("DenJiChenHu.aspx");
    }
    private void 增加_更新等级称呼(int 等级, String 称呼)
    {
        bool 是否存在;
        SqlCommand 语句 = new SqlCommand("SELECT [ID] FROM [" + 程序.数据表前缀 + "社区_用户_等级称呼] WHERE [等级]=" + 等级, 访问.连接);
        SqlDataReader 读取 = 语句.ExecuteReader();
        是否存在 = 读取.HasRows;
        读取.Close();

        if (是否存在)
        {
            语句 = new SqlCommand("UPDATE [" + 程序.数据表前缀 + "社区_用户_等级称呼] SET [称呼]=@称呼 WHERE [等级]=" + 等级, 访问.连接);
            语句.Parameters.Add("@称呼", SqlDbType.NVarChar).Value = 称呼;
            语句.ExecuteNonQuery();
        }
        else
        {
            int ZGID = 常用.SQL_最高ID(访问.连接, 程序.数据表前缀+"社区_用户_等级称呼");
            语句 = new SqlCommand("INSERT INTO [" + 程序.数据表前缀 + "社区_用户_等级称呼]([ID],[等级],[称呼])VALUES(" + ZGID + "," + 等级 + ",@称呼)", 访问.连接);
            语句.Parameters.Add("@称呼", SqlDbType.NVarChar).Value = 称呼;
            语句.ExecuteNonQuery();
        }
    }
}
